> ## Documentation Index
> Fetch the complete documentation index at: https://docs.liquidindex.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Search

> Search the internet for information



## OpenAPI

````yaml POST /internet/search
openapi: 3.1.0
info:
  title: LiquidIndex API
  description: >-
    LiquidIndex API provides semantic search and document processing
    capabilities. The API enables users to upload documents and perform semantic
    queries across their content.
  version: 1.0.0
servers:
  - url: https://api.liquidindex.dev/
security:
  - bearerAuth: []
paths:
  /internet/search:
    post:
      summary: Search the internet
      description: Search the internet for information
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - query
              properties:
                query:
                  type: string
                  description: The query to search the internet for
      responses:
        '200':
          description: Search results
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: string
                    description: An AI generated response to the query with citations
                  urls:
                    type: array
                    description: The URLs used to generate the response
                    items:
                      type: string
                  usage:
                    type: object
                    properties:
                      read_units:
                        type: integer
                        description: The number of read units consumed
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: The error message
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````